| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties

# IG::Num::SampledDataSetDto Class Reference

Data Transfer Object (DTO) for sampled data set. More...

Inheritance diagram for IG::Num::SampledDataSetDto:
[legend]
Collaboration diagram for IG::Num::SampledDataSetDto:
[legend]

List of all members.

## Public Member Functions
| SampledDataSetDto ()
override SampledDataSet | CreateObject ()
| Creates and returns a new object of the appropriate type.
## Protected Member Functions
override void | CopyFromPlain (SampledDataSet dataSet)
| Copies the specified sampled data set to the current DTO.
override void | CopyToPlain (ref SampledDataSet dataSet)
| Copies contents of the current DTO to the specified sempled data set.
## Protected Attributes
int | _inputLength = 0
int | _outputLength = 0
int | _length = 0
SampledDataElementDto[] | _elements
## Properties
virtual int | Length`[get, set]`
virtual int | InputLength`[get, set]`
| Number of input parameters in sampled data.
virtual int | OutputLength`[get, set]`
| Number of output values in sampled data.
virtual SampledDataElementDto[] | Elements`[get, set]`
| Element of the sempled set (input/output pairs).

## Detailed Description

Data Transfer Object (DTO) for sampled data set.

## Constructor & Destructor Documentation

IG::Num::SampledDataSetDto::SampledDataSetDto | ( |  | ) | `[inline]`

## Member Function Documentation

override SampledDataSet IG::Num::SampledDataSetDto::CreateObject | ( |  | ) | `[inline]`

Creates and returns a new object of the appropriate type.

override void IG::Num::SampledDataSetDto::CopyFromPlain | ( | SampledDataSet | dataSet | ) | `[inline, protected]`

Copies the specified sampled data set to the current DTO.

Parameters:

  dataSet | Object that is copied to the current DTO.

override void IG::Num::SampledDataSetDto::CopyToPlain | ( | ref SampledDataSet | dataSet | ) | `[inline, protected]`

Copies contents of the current DTO to the specified sempled data set.

Parameters:

  dataSet | Object that the current DTO contents are copied to.

## Member Data Documentation

int IG::Num::SampledDataSetDto::_inputLength = 0`[protected]`

int IG::Num::SampledDataSetDto::_outputLength = 0`[protected]`

int IG::Num::SampledDataSetDto::_length = 0`[protected]`

SampledDataElementDto [] IG::Num::SampledDataSetDto::_elements`[protected]`

## Property Documentation

virtual int IG::Num::SampledDataSetDto::Length`[get, set]`

virtual int IG::Num::SampledDataSetDto::InputLength`[get, set]`

Number of input parameters in sampled data.

virtual int IG::Num::SampledDataSetDto::OutputLength`[get, set]`

Number of output values in sampled data.

virtual SampledDataElementDto [] IG::Num::SampledDataSetDto::Elements`[get, set]`

Element of the sempled set (input/output pairs).

The documentation for this class was generated from the following file:

- SampledDataDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events